Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util
Class ParsedURLDataProtocolHandler

    java.lang.Object
      org.apache.batik.util.AbstractParsedURLProtocolHandler
          org.apache.batik.util.ParsedURLDataProtocolHandler

All Implemented Interfaces:
  ParsedURLProtocolHandler

public class ParsedURLDataProtocolHandler
extends AbstractParsedURLProtocolHandler

Protocol Handler for the 'data' protocol. RFC: 2397 http://www.ietf.org/rfc/rfc2397.txt

Field Summary

Fields inherited from class org.apache.batik.util.AbstractParsedURLProtocolHandler
`protocol`

Constructor Summary
`ParsedURLDataProtocolHandler()`

Method Summary
`ParsedURLData` | `parseURL(ParsedURL baseURL, java.lang.String urlStr)` Parse a relative url string of this protocol.
`ParsedURLData` | `parseURL(java.lang.String urlStr)` Parse an absolute url string.

Methods inherited from class org.apache.batik.util.AbstractParsedURLProtocolHandler
`getProtocolHandled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParsedURLDataProtocolHandler

    public ParsedURLDataProtocolHandler()

Method Detail

### parseURL

    public ParsedURLData parseURL(ParsedURL baseURL,
                                  java.lang.String urlStr)

  Description copied from interface: `ParsedURLProtocolHandler`
  Parse a relative url string of this protocol.

### parseURL

    public ParsedURLData parseURL(java.lang.String urlStr)

  Description copied from interface: `ParsedURLProtocolHandler`
  Parse an absolute url string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.